Subject: Re: IPP> New IPP PSX draft (25 Jan 2009) - regression loss

From: Ira McDonald <[email-masked]>
Date: Sun, 25 Jan 2009 17:49:41 -0500

Hi,

Unfortunately, I have only just realized that the HTML source that
Bill Wagner converted was from an out-of-date "Interim" version and
was NOT the full-content November 2006 "Prototype" version.

It's going to take major effort (man-weeks) to recover the lost
content (in existing sections and in new sections).  I have no time
in my Samsung schedule and budget for an effort this large.  This
spec CANNOT be ready for IPP WG Last Call any time soon.

My idiocy for not looking at the details closer, before making the
additional edits.

Egg on face,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Blue Roof Music/High North Inc
email: [email-masked]
winter:
  579 Park Place  Saline, MI  48176
  734-944-0094
summer:
  PO Box 221  Grand Marais, MI 49839
  906-494-2434

On Sun, Jan 25, 2009 at 5:24 PM, Ira McDonald <[email-masked]> wrote:
> Hi,
>
> I've just posted a new draft of IPP Printer State Extensions (PSX) updated
> to Prototype status at:
>
>  ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippstate10-20090125.pdf / doc
>  - clean copy with all changes accepted
>
>  ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippstate10-20090125-rev.pdf / doc
>  - annotated copy with all changes in redlines
>
> MANY THANKS to Bill Wagner for converting the November 2006 HTML
> source to MS Word !!!
>
> Change Log:
>
> - Changed document Status to Prototype per IPP WG consensus
> - Added detailed conformance requirements in section 7 for IPP Printer,
>  IPP Client, Printer MIB Agent, and Printer MIB Client
> - Added Table of Contents and Table of Figures
> - Added Figure titles and Table titles throughout document
> - Updated obsolete references
> - Added Normative reference to CIM_PrintAlertRecord class
> - Added page breaks before all major sections
>
> Comments?
>
> Cheers,
> - Ira (IPP PSX co-editor)
>
>
> Ira McDonald (Musician / Software Architect)
> Chair - Linux Foundation Open Printing WG
> Blue Roof Music/High North Inc
> email: [email-masked]
> winter:
>  579 Park Place  Saline, MI  48176
>  734-944-0094
> summer:
>  PO Box 221  Grand Marais, MI 49839
>  906-494-2434
>

---

From: Ira McDonald <[email-masked]>
Date: Sun, 25 Jan 2009 18:21:37 -0500

Hi,

Below is the Change Log from the missed version (25% longer doc).

A very large number of one-line changes were made to existing mapping tables.
Also, a major change of philosophy (all Finishers get all 33 subunit codes).

An HTMLdiff tool could no doubt find the deltas.  But, reconversion from
HTML to MS Word (painful) almost looks better, because I didn't change
very much further in my release earlier this evening.

All offers of help or even an approach will be gladly welcomed.

Cheers,
- Ira

---------------------------------------------
CHANGE LOG (excerpt)

7 November 2006 (v0.40)
- Changed document status from 'Interim' to 'Prototype', per PWG
  Process/2.0;

- Revised section 5.1.1 'Severity Suffixes Interoperability' for
  clarity;

- Revised Table 1 in section 5.1.2 'Existing Printer State Reasons for
  Alert Codes' to DEPRECATE all non-specific legacy one-way mappings,
  per review at PWG face-to-face in Lexington (27 October 2006);

- Revised Table 2 in section 5.1.3 'New Printer State Reasons for
  Alert Codes' to DELETE all non-specific legacy one-way mappings,
  per review at PWG face-to-face in Lexington (27 October 2006);

- Revised Table 3 in section 5.2.1 'Keywords for Alert Objects'
  conformance levels, to align with bindings of 'printerV2Alert' in
  Printer MIB, section 9 of IPP Event Notifications and Subcriptions
  [RFC3995], and WIMS-CIM work-in-progress mapping of Printer MIB,
  per review at PWG face-to-face in Lexington (27 October 2006);

- Revised section 5.2.2. 'Printer Alert Encoding of Alert Objects'
  to specify explicit charset [US-ASCII], reference specific objects in
  'prtAlertTable', and clarify mapping details in ABNF expressions;

- Revised section 5.3.1 'Printer Alert Description Encoding' to specify
  REQUIRED copy of natural language tag and REQUIRED charset conversion
  to the value of "charset-configured" (i.e., current site policy)

- Revised section 6.1.1 'New Alert Codes for Finishing Subunits' to
  define complete set based on subunit generic alerts for every device,
  per review at PWG face-to-face in Lexington (27 October 2006);

- Added new section 6.1.2 'Conventions for Alert Code Numbering' to
  explain conventions from Printer MIB and extensions in this document,
  per review at PWG face-to-face in Lexington (27 October 2006);

- Revised section 7 'Conformance Requirements' to add explicit lists of
  of detailed conformance sections in this specification,
  per review at PWG face-to-face in Lexington (27 October 2006);

- Added new section 8.2 'IPP Printer Attributes - IANA Registrations'
  to register "printer-alert" and "printer-alert-description" with IANA;

- Revised section 9 'Internationalization Considerations' to reflect new
  "printer-alert" and "printer-alert-description" attributes.

- Revised section 10 'Security Considerations' to add details.

- Added new section 15.6 'Printer Alert Subset for Finishing Subunits'
  to explain changed strategy to complete set of specific alerts.

-------------------------------------------

---

From: "Paul Tykodi" <[email-masked]>
Date: Mon, 26 Jan 2009 01:51:48 -0500

Hi Ira,

I'm a little confused.

Is the problem you are reporting that the file
(ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippstate10-20061107.htm) on the PWG FTP
site is missing relevant data or that you sent an earlier version of source
to Bill Wagner?

Thanks.

Best Regards,

/Paul
--
Paul Tykodi
Principal Consultant
TCS - Tykodi Consulting Services LLC

Tel/Fax: 603-343-1820
Mobile:  603-866-0712
E-mail:  [email-masked]
WWW:  http://www.tykodi.com

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Ira
> McDonald
> Sent: Sunday, January 25, 2009 6:22 PM
> To: [email-masked]; Ira McDonald; Craig Whittle; Michael R Sweet; William A
> Wagner
> Subject: Re: IPP> New IPP PSX draft (25 Jan 2009) - regression loss
> 
> Hi,
>

---

From: "William A Wagner" <[email-masked]>
Date: Mon, 26 Jan 2009 11:34:56 -0500

Paul,

When I converted the HTML to MS Word, I used the October 2006 rather than
November 2006 HTML. Ira then made updates to this earlier version (and there
are some significant differences) so the MS Word Jan 2009 version that he
posted has some significant regression errors (and I suggest that it not be
looked at). We are fixing this.

Hope that explains the issue.

Bill Wagner

-----Original Message-----
From: Paul Tykodi [mailto:[email-masked]] 
Sent: Monday, January 26, 2009 1:52 AM
To: 'Ira McDonald'; [email-masked]; 'Craig Whittle'; 'Michael R Sweet';
'William A Wagner'
Subject: RE: IPP> New IPP PSX draft (25 Jan 2009) - regression loss

Hi Ira,

I'm a little confused.

Thanks.

Best Regards,

/Paul

Tel/Fax: 603-343-1820
Mobile:  603-866-0712

---

From: Ira McDonald <[email-masked]>
Date: Mon, 26 Jan 2009 11:40:03 -0500

Hi Paul,

Bill just explained the problem (and solution).

Bill has offered to do the conversion again from
the November 2006 draft, after which we'll reapply
the further edits I did for yesterday's release.

Thus saving me from an enormous amount of
careful hand-patching of yesterday's release.

Someone in Hawaii should buy Bill a drink or
dinner or whatever and send the check to me!

Talk to you all later today.

Cheers,
- Ira